@import "../../../../assets/utils";
@import "../../commonFormElement";

.container {
  position: relative;
}

.value {
  @include input;
}

.iconWithClearer {
  right: 30px;
}

.input {
  flex-grow: 1;

  &.isDisabled {
    + .icon {
      cursor: not-allowed;
    }
  }
}

.sideButton {
  @include clearButton;
}

.field {
  @include field;
}

.before {
  @include before
}

.after {
  @include after
}